/*
 * file: CursorDescriptor.js
 *
 * @BEGINLICENSE
 * Copyright 2010 Brook Novak  (email : brooknovak@seaweed-editor.com) 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * @ENDLICENSE
 */
/**
 * @class
 * <i><b>[INTERFACE]</b></i>
 * 
 * TODO!!
 * 
 * @see DirectEdit Specification 1.0
 * 
 * @author Brook Novak
 * 
 */
de.cursor.CursorDescriptor = function() {
	
	/**
	 * A dom node which is either an Element or a Text node. Never null.
	 * 
	 * @type Node
	 */
	this.domNode = null;
	
	/**
	 * A bitwise OR of de.cursor.PlacementFlag describing the cursor
	 * relation to the domNode
	 * 
	 * @type Number
	 * 
	 * @see de.cursor.PlacementFlag
	 */
	this.placement = 0;
		
	/**
	 * The (relative) index of where within the node the cursor is.
	 * <BR><BR>
	 * If the dom node is a text node, then this will be the charactor index.
	 * 
	 * @type Number
	 */
	this.relIndex = 0;
	
	/**
	 * The x pixel position relative to the window of the cursor.
	 * @type Number
	 */
	this.x = 0;
	
	/**
	 * The y pixel position relative to the window of the cursor.
	 * @type Number
	 */
	this.y = 0;
	
	/**
	 * The x pixel position relative to the document of the cursor.
	 * @type Number
	 */
	this.docLeft = 0;
	
	/**
	 * The y pixel position relative to the document of the cursor.
	 * @type Number
	 */
	this.docTop = 0;
	
	/**
	 * The pixel width of the cursor's charactor/element.
	 * @type Number
	 */
	this.width = 0;
	
	/**
	 * The pixel height of the cursor's charactor/element.
	 * @type Number
	 */
	this.height = 0;
	
	/**
	 * True to indicate that the cursor is positioned to the right of the dom node/index.
	 * False to indicate that the cursor is positioned to the left of the dom node/index.
	 * @type Boolean
	 */
	this.isRightOf = false;
	

};
